Summary:	vortexbox
Name:		vortexbox
Version:	1.3
Release:	3
License:	GPL
Group:      System/Servers
Vendor:     vortexbox.org
Packager:   admin@tvortexbox.org
URL:        http://www.vortexbox.org
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Autoreq:	0
Requires: 	php
Requires: 	lame
Requires: 	perl-libwww-perl
Requires: 	atrpms-release
Requires: 	picocom
Requires: 	wodim
#Requires: 	perl-Audio-TagLib taglib
Requires: 	eyeD3

%define tbload /var/vortexbox_load

%description
vortexbox

%prep

%setup -q -n %{name}-%{version}

%build

%install

mkdir -p %{buildroot}
install -d %{buildroot}
cp -r * %{buildroot}

%post
# We want to create/update the vortexbox version
mkdir -p /etc/vortexbox/packages
if [ -f /etc/vortexbox/vortexbox-version ]; then
        if ! grep %{version} /etc/vortexbox/vortexbox-version > /dev/null 2>&1; then
          echo %{version} > /etc/vortexbox/vortexbox-version
        fi
else
        echo %{version} > /etc/vortexbox/vortexbox-version
		# Create the firstboot (only if new system)
		/sbin/chkconfig --add vortexbox-firstboot
		/sbin/chkconfig --level 35 vortexbox-firstboot on
fi

chkconfig --level 345 ntpd on
chkconfig --level 345 mysqld on
chkconfig --level 345 httpd on
chkconfig --level 345 smb on
chkconfig --level 345 nmb on
chkconfig --del cpuspeed
chkconfig --add vortexbox

chmod 744 /var/vortexbox_load/firstboot/*
chmod -R 777 /etc/vortexbox/

if [ -d /storage/music/playlist ]; then
	chmod -R 755 /storage/music/
	chown -R squeezeboxserver:squeezeboxserver /storage/music/playlist/
fi

#############################

cat > /etc/rc.local <<EOF
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local
/opt/vortexbox/vb-startup &
EOF

#############################
chmod 755 /opt/vortexbox/motd.sh 

%clean
rm -rf %{buildroot}

%files
/etc/rc.d/init.d/vortexbox
/etc/rc.d/init.d/vortexbox-firstboot
/etc/squeezeboxserver/custom-convert.conf
/etc/udev/rules.d/80-usbmount.rules
/usr/local/sbin/*
/opt/vortexbox/*
%{tbload}/*

%changelog
* Mon Apr 12 2010 <admin@vortexbox.org>
- small fix for twonkymedia

* Sun Apr 11 2010 <admin@vortexbox.org>
- added unix extensions = no to smb.conf to fix OSX problem.

* Mon Apr 05 2010 <admin@vortexbox.org>
- added --force to sfdisk under backup
- Added switch-player

* Mon Mar 22 2010 <admin@vortexbox.org>
- Added support for Subsonic
- Added flac2wav

* Tue Mar 16 2010 <admin@vortexbox.org
- Added Sonos reindex support

* Mon Mar 08 2010 <admin@vortexbox.org>
- Updates to version 1.2

* Fri Mar 05 2010 <admin@vortexbox.org>
- Added Ron's MusicIP script and Ron's patch to make flac2mp3.pl Id3v2.3 compliant.

* Tue Mar 02 2010 <admin@vortexbox.org>
- Added support for package manager

* Wed Feb 03 2010 <admin@vortexbox.org>
- added soft volume support to VortexBox Player

* Mon Jan 25 2010 <admin@vortexbox.org>
- added cover art support to flac2mp3
- upped version to 1.1

* Sat Jan 23 2010 <admin@vortexbox.org>
- Added vortexbpx-player support

* Mon Jan 11 2010 <admin@vortexbox.org>
- Added new version of flac2m4a.sh

* Wed Dec 16 2009 <admin@vortexbox.org>
-Update to version 1.0

* Sat Dec 12 2009 <admin@vortexbox.org>
- Fixes getcover.php to handle apostrophe

* Wed Nov 11 2009 <admin@vortexbox.org>
- Added new veriosn of flac2mp3.pl

* Wed Oct 21 2009 <admin@vortexbox.org>
- Added flac2cd.sh

* Fri Oct 16 2009 <admin@vortexbox.org>
- Added preformance enhancments to smb.conf

* Mon Oct 05 2009 <admin@vortexbox.org>
- added support for Squeezebox Server 7.4

* Mon Sep 14 2009 <admin@vortexbox.org>
- added upgrade feature to doaction.sh

* Fri Aug 28 2009 <admin@vortexbox.org>
- Added files to support USB backup system

* Mon Aug 24 2009 <admin@vortexbox.org>
- Updated getcoverart to work with new Amazon protocol
- Updated mirror-flac to use the new flac2mp3.pl

* Tue Jul 28 2009 <admin@vortexbox.org>
- updated auto coverart to work with multiple folders

* Sat Mar 07 2009 <admin@vortexbox.org>
- added flac to mp3 converter
- added load script for mplayer

* Wed Nov 05 2008 admin <admin@vortexbox.org>
- inital release
